Bug 1274648 - Make check fails on 'itms_link' test
Make check fails on 'itms_link' test
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: totem-pl-parser (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 05:26 EDT by Vadim Rutkovsky
Modified: 2017-01-09 04:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 07:01:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Rutkovsky 2015-10-23 05:26:28 EDT
Description of problem:
Make check fails on '/parser/parsing/itms_link'

Version-Release number of selected component (if applicable):
totem-pl-parser-3.10.5-1.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run make check in RPM build dir

Actual results:
 /parser/parsing/itms_link:                                           FAIL
ERROR:parser.c:532:test_itms_parsing: assertion failed (parser_test_get_playlist_uri ("itmss://itunes.apple.com/us/podcast/best-of-chris-moyles/id77318908?ign-msr=https%3A%2F%2Fwww.google.com%2Furl%3Fsa%3Dt%26rct%3Dj%26q%3D%26esrc%3Ds%26source%3Dweb%26cd%3D3%26ved%3D0CEEQFjAC%26url%3Dhttps%253A%252F%252Fitunes.apple.com%252Fus%252Fpodcast%252Fbest-of-chris-moyles%252Fid77318908%26ei%3DiMeaUO_ZIsfCtAbvk4DADA%26usg%3DAFQjCNE5YyukECjJE3fmrLIJICX5dMSyyg%26sig2%3DGM631xTbZq7E6m-eaGc3HA") == "http://downloads.bbc.co.uk/podcasts/radio1/moyles/rss.xml"): ("http://www.bbc.co.uk/programmes/p02nrx0j/episodes/downloads.rss" == "http://downloads.bbc.co.uk/podcasts/radio1/moyles/rss.xml")
	/bin/sh: line 1: 24185 Terminated              gtester --verbose parser disc

Expected results:
All tests pass

Additional info:
Comment 1 Bastien Nocera 2015-10-23 07:01:26 EDT
Fixed upstream, thanks.

commit d2054d31f000cd131f05b749b210c3f9476dc9aa (HEAD -> master)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 23 12:59:14 2015 +0200

    tests: Update ITMS test URLs
    
    For the first and third test, the RSS URL changed. For the second test,
    use the same Podcast as for the other two tests, rather than Annie Mac's
    Mini Mix.
    
    See https://bugzilla.redhat.com/show_bug.cgi?id=1274648

commit 7ec1a62ed5fed42d1c9b8b53f1233457646843d3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 23 12:53:11 2015 +0200

    plparse: Add debug in itms: link failure case
    
    When parsing an ITMS link fails, print out the captured XML plist
    in the debug.
Comment 2 Vadim Rutkovsky 2015-10-23 07:06:25 EDT
Lets close this as soon as it hits RHEL
Comment 3 Bastien Nocera 2015-10-26 06:35:24 EDT
(In reply to Vadim Rutkovsky from comment #2)
> Lets close this as soon as it hits RHEL

This isn't useful to customers, so not worth fixing.

Note You need to log in before you can comment on or make changes to this bug.